Api referencev1/library/videos
Get one library video and its analysis by id (?id=...)
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
id*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/library/videos?id=string"{
"video": {
"id": "string",
"platform": "string",
"authorHandle": "string",
"description": "string",
"url": "string",
"thumbnailUrl": "string",
"engagementRate": 0,
"category": "string",
"hashtags": [
"string"
],
"soundName": "string",
"duration": 0,
"stats": {
"views": 0,
"likes": 0,
"comments": 0,
"shares": 0,
"saves": 0
},
"downloadStatus": "string",
"analysisStatus": "string"
},
"analysis": null
}{
"error": "unauthorized",
"message": "string",
"signupUrl": "string"
}{
"error": "payment_required",
"message": "string",
"required": 0,
"balance": 0,
"shortfall": 0,
"topupUrl": "string",
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}{
"error": "forbidden",
"message": "string",
"requiredScope": "string",
"grantedScopes": [
"string"
]
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}{
"error": "rate_limited",
"message": "string",
"retryAfter": 0
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}